.\"
.\" DI $Id: utmac.tr,v 1.35 2017/11/16 16:42:31 pj Exp pj $
.\" DA Pierre‐Jean Fichet
.\" DS Utroff utmac hacker manual
.\" DT Utroff utmac hacker manual
.\" DK utroff utmac u‐ref uw ux um ut us uh refer iso‐690 troff nroff heirloom tmac xml pdf markdown html fodt
.
.
.
.TH UTMAC‐HACK 7 ´2017‐12‐11´
.
.
.
.SH FILES
.PP
The following files are installed on the directory
@MACDIR@: \fB@TMAC@\fR.
.TP
\&\fIuh, ul, us, ut, uw, ux\fR
Layout macros.
.TP
\&\fIu‐ref\fR
Format a refer bibliography. See
u‐ref(7).
.TP
\&\fIu‐grind\fR
Handle the \fIugrind\fR pre‐processor.
.TP
\&\fIu‐idx\fR
Index macros.
.TP
\&\fIu‐links\fR
Macros for links.
.TP
\&\fIu‐pdf\fR
Handles pdf links and metadatas.
.TP
\&\fIu‐eps\fR
Include eps files in a document.
.TP
\&\fIu‐sum\fR
Creates summaries.
.TP
\&\fIu‐var\fR
Defines various macros shared by all utmac files.
.TP
\&\fIu‐en\fR \fIu‐fr\fR
Localization macros, for english and french. They should be
loaded by the file defined by the \fBUTMAC\fR environment
variable. If the \fBUTMAC\fR environment variable is not
defined, english is loaded.
.TP
\&\fIu‐font\fR
Font macros shared by all font files.
.TP
\&\fIu‐apolline\fR, \fIu‐libertine\fR, \fIu‐biolinum\fR, \fIu‐biolib\fR
Mount the specified font. By default,
\fIu‐libertine\fR is loaded.
.
.
.
.SH TESTS
.PP
Once loaded, each macro file sets the register \fBtmac‐\fR\fIname\fR
(where \fIname\fR is the file name) to ’1’. This register can be used
within tests to adapt the content on the macro used to format the
document:
.PP
.EX
\fB.\fR\fBie\fR \fBr\fR tmac‐ux This is printed if formatted with ‐mux.
\fB.\fR\fBel\fR This is printed otherwise.
.EE
.
.
.
.SH NAMING CONVENTIONS
.PP
\fIUtmac\fR use some convention to name macro, strings, and
number register. Internally, files are divided in modules,
and the naming conventions are as follow:
.IP \(bu
The name of the macros are of the form
\fBmodule:name\fR.
.IP \(bu
The name of the strings and number registers are of the form
\fBmodule‐name\fR.
.PP
Externally, all macro contain two uppercase letters,
while all fonts are strings containing one uppercase letter.
.PP
So, \fIutmac\fR reserve the following names:
.IP \(bu
Names containing the characters \fB:\fR and \fB‐\fR.
.IP \(bu
Names containing one or two uppercase letters.
.
.
.
.SH SEE ALSO
.PP
utmac(7), u‐ref(7), postxml(1), idx(1), refer(1).
.
.
.
.SH LICENSE
.PP
\fIUtmac\fR macros and this manual page are distributed under
a
two clause BSD
license.
.
.
.
.SH BUGS & HELP
.PP
Don’t hesitate to ask questions at help at utroff dot org.
Please, send bugs and patches at help at utroff dot org.
.
.
.
.SH AUTHOR
.PP
Pierre‐Jean Fichet.
